sinek configure.ac,NONE,1.1 ChangeLog,1.89,1.90 autogen.sh,1.2,1.3 configure.in,1.22,NONE acconfig.h,1.3,NONE
[email protected] Wed, 22 Jan 2003 22:31:28 -0800
| Newsgroups | gmane.comp.video.sinek.cvs |
|---|---|
| Message-ID | <[email protected]> |
Update of /cvsroot/sinek/sinek
In directory sc8-pr-cvs1:/tmp/cvs-serv21400
Modified Files:
ChangeLog autogen.sh
Added Files:
configure.ac
Removed Files:
configure.in acconfig.h
Log Message:
A much needed build cleanup
--- NEW FILE: configure.ac ---
AC_INIT(src/main.c)
AM_CONFIG_HEADER(include/config.h)
AM_INIT_AUTOMAKE(sinek,0.8)
dnl Checks for programs
AC_PROG_CC
AC_PROG_INSTALL
dnl Checks for header files
AC_HEADER_STDC
AC_CHECK_HEADERS(unistd.h strings.h errno.h)
dnl Checks for typedefs and structures
AC_C_CONST
AC_C_INLINE
AC_TYPE_SIZE_T
dnl Check -Wall flag of GCC
if test "x$GCC" = "xyes"; then
if test -z "`echo "$CFLAGS" | grep "\-Wall" 2> /dev/null`" ; then
CFLAGS="$CFLAGS -Wall"
fi
fi
dnl
dnl i18n
dnl
ALL_LINGUAS="de es fr ru"
AM_GNU_GETTEXT dnl (use-libtool)
if test x"$USE_INCLUDED_LIBINTL" = x"yes"; then
INTLDIR="-I\$(top_builddir)/intl -I\$(top_srcdir)/intl"
fi
AC_SUBST(INTLDIR)
dnl
dnl Checks for libraries
dnl
AM_PATH_GLIB_2_0(2.0.0,, AC_MSG_ERROR(*** glib-2.0 or greater is required ***))
AM_PATH_GTK_2_0(2.0.0,, AC_MSG_ERROR(*** gtk+-2.0 or greater is required ***))
AM_PATH_XINE(1.0.0,, AC_MSG_ERROR(*** You should install xine-lib first ***))
XINE_LOCALEDIR="`echo $xine_locale_dir|sed -e 's/\^'$escapedprefix/'\${prefix}'/`"
AC_SUBST(XINE_LOCALEDIR)
AC_DEFINE_UNQUOTED(XINE_LOCALEDIR, "$XINE_LOCALEDIR", [Path where catalog files will be])
AC_PATH_X
XTEST_LIBS=""
AC_CHECK_LIB(Xtst, XTestFakeKeyEvent,
XTEST_LIBS="-lXtst -L$x_libraries"
AC_DEFINE(HAVE_XTEST,1,[Define this if you have XTest]),
,
"-L$x_libraries")
AC_SUBST(XTEST_LIBS)
AC_ARG_ENABLE(guile,
[ --disable-guile disable use of guile scripting],
guile=$enableval, guile=yes)
if test "$guile" = yes; then
AM_PATH_GUILE(lala, AC_DEFINE(USE_GUILE,1,[Define this if you have GUILE installed]), [guile=no])
fi
AM_CONDITIONAL(DO_GUILE, test "x$guile" = "xyes")
dnl
dnl Checks for functions
dnl
AC_CHECK_FUNCS(getopt_long)
dnl
dnl Some include paths ( !!! DO NOT REMOVE !!! )
dnl
INCLUDES='-I$(top_srcdir) -I$(top_builddir) -I$(top_builddir)/include -I$(top_srcdir)/include -I$(prefix)/include $(INTLDIR)'
AC_SUBST(INCLUDES)
dnl
dnl Create the makefiles
dnl
AC_OUTPUT([
Makefile
pixmaps/Makefile
include/Makefile
src/Makefile
intl/Makefile
po/Makefile.in
m4/Makefile
sinek.spec
])
Index: ChangeLog
===================================================================
RCS file: /cvsroot/sinek/sinek/ChangeLog,v
retrieving revision 1.89
retrieving revision 1.90
diff -u -d -r1.89 -r1.90
--- ChangeLog 21 Jan 2003 04:52:48 -0000 1.89
+++ ChangeLog 23 Jan 2003 06:31:25 -0000 1.90
@@ -1,3 +1,9 @@
+2003-01-23 Andres
+ * autogen.sh: use the same autogen.sh that I use my other projects.
+ * autogen.sh: fix lack of m4/ directory inclusion by aclocal
+ (Thanks to Daniel Caujolle-Bert <[email protected]>).
+ * configure.in: rename to configure.ac, cleanups for newer autotools.
+
2003-01-20 Andres
* m4: include gtk-2.0.m4 and glib-2.0.m4 macro definitions.
Index: autogen.sh
===================================================================
RCS file: /cvsroot/sinek/sinek/autogen.sh,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -d -r1.2 -r1.3
--- autogen.sh 13 Feb 2002 18:34:54 -0000 1.2
+++ autogen.sh 23 Jan 2003 06:31:25 -0000 1.3
@@ -1,65 +1,78 @@
#!/bin/sh
-#
-# Run this to generate all the initial makefiles, etc.
-#
-
-PROJECT=Sinek
-FILE=src/main.c
-
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
-build_dir=`pwd`
-
-m4_files="xine.m4 gettext.m4 glibc21.m4 iconv.m4 lcmessage.m4 progtest.m4 codeset.m4 isc-posix.m4 guile.m4"
-if test -d m4; then
- rm -f acinclude.m4
- for m4f in $m4_files; do
- cat m4/$m4f >> acinclude.m4
- done
-else
- echo "Directory 'm4' is missing."
- exit 1
-fi
-
-DIE=0
+# Run this to generate the configure script.
(autoconf --version) < /dev/null > /dev/null 2>&1 || {
echo
- echo "You must have autoconf installed to compile $PROJECT."
- DIE=1
+ echo "Error: You must have 'autoconf' installed on your system in order"
+ echo " to generate a configure script."
+ echo
+ exit 1
}
-(libtool --version) < /dev/null > /dev/null 2>&1 || {
+(autoheader --version) < /dev/null > /dev/null 2>&1 || {
echo
- echo "You must have libtool installed to compile $PROJECT."
- DIE=1
-}
+ echo "Error: You must have 'autoheader' installed on your system in"
+ echo " order to generate a configure script."
+ echo " (Note that 'autoheader' is part of the 'autoconf' package)"
+ echo
+ exit 1
+}
+
+#(libtool --version) < /dev/null > /dev/null 2>&1 || {
+# echo
+# echo "Error: You must have 'libtool' installed on your system in order"
+# echo " to generate a configure script."
+# echo
+# exit 1
+#}
(automake --version) < /dev/null > /dev/null 2>&1 || {
echo
- echo "You must have automake installed to compile $PROJECT."
- DIE=1
-}
-
-if test "$DIE" -eq 1; then
+ echo "Error: You must have 'automake' installed on your system in order"
+ echo " to generate a configure script."
+ echo
exit 1
-fi
+}
-test -e $srcdir/$FILE || {
- echo "You must run this script in the top-level $PROJECT directory"
+#(gettextize --version) < /dev/null > /dev/null 2>&1 || {
+# echo
+# echo "Error: you must have 'gettext' installed on your system in order"
+# echo " to generate a configure script."
+# echo
+# exit 1
+#}
+
+(aclocal --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "Error: You must have 'aclocal' installed on your system in order"
+ echo " to generate a configure script."
+ echo " (Note that 'aclocal' is part of the 'automake' package)"
+ echo
exit 1
}
-case $CC in
-*lcc | *lcc\ *) am_opt=--include-deps;;
-esac
+srcdir=`dirname $0`
-(
- cd $srcdir
- aclocal
- autoheader
- automake --add-missing $am_opt
- autoconf
-) || exit $?
+#echo "Running gettextize..."
+#gettextize --force --copy --intl --no-changelog
+
+#echo "Running libtoolize..."
+#libtoolize --copy --force --automake
+
+echo "Running aclocal..."
+aclocal -I m4
+echo "Running autoheader..."
+autoheader
+
+echo "Running automake..."
+automake --add-missing --gnu --include-deps
+
+echo "Running autoconf..."
+autoconf
+
+echo
+echo "Done!"
+echo "Now run $srcdir/configure in order to create Makefiles."
+echo
--- configure.in DELETED ---
--- acconfig.h DELETED ---
-------------------------------------------------------
This SF.net email is sponsored by: Scholarships for Techies!
Can't afford IT training? All 2003 ictp students receive scholarships.
Get hands-on training in Microsoft, Cisco, Sun, Linux/UNIX, and more.
www.ictp.com/training/sourceforge.asp